:root {
  --c: #222;
  --pp: max(calc((100vw - 1400px) / 2), 2rem);
  --bg: #444;

  scroll-behavior: smooth;
  /* scroll-snap-type: y proximity;*/
}

@font-face {
  font-family: 'Open Sans';
  src: url('/fonts/open-sans/open-sans-regular.woff2') format('woff2');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'Open Sans';
  src: url('/fonts/open-sans/open-sans-500.woff2') format('woff2');
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: 'Open Sans';
  src: url('/fonts/open-sans/open-sans-700.woff2') format('woff2');
  font-weight: 700;
  font-style: normal;
}

* {
  box-sizing: border-box;
}

body {
  margin: 0;
  color: white;
  font-family: 'Open Sans', sans-serif;
}

body::before {
  display: block;
  content: '';
  background: color-mix(in srgb, var(--bg), black 15%) url('/images/section_background.png') no-repeat right bottom/cover;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: -10;
  height: 100vh;
  height: 100vh;
  transition: background 1.5s;
}

a {
  text-decoration: none;
  color: currentColor;
}

footer {
  padding: 1.5rem var(--pp);
  background: #333;
  text-align: center;
  scroll-snap-align: bottom;
}

body>header {
  padding: 1.5rem var(--pp);
  position: sticky;
  position: -webkit-sticky;
  top: 0;
  margin-top: -5rem;
  display: grid;
  grid-template-columns: auto 1fr auto auto;
  transition: background 0.25s;
  backdrop-filter: blur(0);
  -webkit-backdrop-filter: blur(0);
  align-items: center;
  gap: 2rem;
  z-index: 10;
}

header.--sticky {
  background: color-mix(in srgb, var(--c), transparent 10%);
  backdrop-filter: blur(0.25rem);
  -webkit-backdrop-filter: blur(0.25rem);
}

header img {
  height: 2rem;
}

section {
  padding: 1rem var(--pp);
}

section.hero {
  height: 100vh;
  height: 100svh;
  background: linear-gradient(135deg, rgba(0, 0, 0, 0.95) 10%, rgba(0, 0, 0, 0.1) 95%), url('/images/bg.webp') no-repeat center/cover;
  display: grid;
  grid-template-columns: auto;
  align-content: end;
  line-height: 1.5;
  gap: 1rem;
  padding-block: 16rem;
  font-size: 1.5em;
  scroll-snap-align: center;
}

@media screen and (max-width: 600px) {
  section.hero {
    padding-bottom: 2rem;
  }
}

section h1 {
  margin: 0;
  opacity: 0.75;
  text-transform: uppercase;
}

section p {
  max-width: 48ch;
  margin: 0;
}

section.products article {
  height: 100vh;
  height: 100vh;
  scroll-snap-align: center;
  display: grid;
  grid-template-columns: 1fr auto;
  gap: 0.5rem;
  align-items: center;
  align-content: center;
}

section.products article h3 {
  align-self: end;
  margin: 0;
  text-transform: uppercase;
  opacity: 0.75;
}

section.products article p {
  align-self: start;
  margin: 0;
  line-height: 1.5;
}

section.products article img {
  grid-column: 2;
  grid-row: 1 / 3;
  height: 40vh;
  height: 40svh;
  filter: drop-shadow(10px 40px 2px rgba(0, 0, 0, 0.2));
  animation: hopper 3s ease-in-out infinite both;
}

@media screen and (max-width: 600px) {
  section.products article {
    grid-template-columns: auto;
  }

  section.products article img {
    grid-column: 1;
    grid-row: 1;
    justify-self: center;
    margin-bottom: 4rem;
  }
}

@keyframes hopper {
  0% {
    transform: translateY(0px);
  }

  50% {
    transform: translateY(-20px);
    filter: drop-shadow(30px 60px 8px rgba(0, 0, 0, 0.2));
  }

  100% {
    transform: translateY(0px);
  }
}

section.contact {
  background: color-mix(in srgb, var(--c), transparent 90%);
  padding-block: 4rem;
}


section.contact h2 {
  margin: 0 0 1rem 0;
}

section.contact p {
  margin: 0;
  line-height: 1.5;
}

section.contact p:last-child {
  margin-top: 2rem;
  font-weight: bold;
}